Imports system.Data
Imports system.Data.SqlClient
Partial Class _Default
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
     
    End Sub
    Public Function GetData(ByVal cmd As SqlCommand) As DataTable
        Dim dt As New DataTable
        Dim strConnString As String = System.Configuration.ConfigurationManager.ConnectionStrings("conString").ConnectionString
        Dim con As New SqlConnection(strConnString)
        Dim sda As New SqlDataAdapter
        cmd.CommandType = CommandType.Text
        cmd.Connection = con
        Try
            con.Open()
            sda.SelectCommand = cmd
            sda.Fill(dt)
            Return dt
        Catch ex As Exception
            Response.Write(ex.Message)
            Return Nothing
        Finally
            con.Close()
            sda.Dispose()
            con.Dispose()
        End Try
    End Function

    Protected Sub Filter_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim strQuery As String = "select * from customers where city = @city"
        Dim cmd As New SqlCommand(strQuery)
        cmd.Parameters.AddWithValue("@city", txtCity.Text.Trim)
        Dim dt As DataTable = GetData(cmd)
        GridView1.DataSource = dt
        GridView1.DataBind()
    End Sub

    Protected Sub SelectAll_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim strQuery As String = "select * from customers"
        Dim cmd As New SqlCommand(strQuery)
        Dim dt As DataTable = GetData(cmd)
        GridView1.DataSource = dt
        GridView1.DataBind()
    End Sub
End Class
